################################################################
#
#   Assembly Line - Configuration settings
#
################################################################

initial_cash = 15000
resale_price_factor = 0.5 # times machine purchase price
base_freight_cost = 20 # dollars per crate
freight_rate = 0.003 # dollars per unit of product bulk
starting_salary = 100 # dollars per month

standard_sheet_sizes = [1, 2, 5, 10, 20, 30, 50, 60]

#  If payment of salary or bonus would leave less than the
#  following factor times the amount being paid, the payment
#  is deferred.

payout_cash_surplus_factor = 2

#  Fraction of average profit over last 3 months that company
#  is willing to pay when considering a salary raise.

salary_surplus_factor = 0.1

#  Amount current salary is multiplied by to give the next
#  salary increment.

salary_raise_factor = 1.2

#  Factory running costs per month

factory_rental = 1000
machine_maintenance_factor = 0.1 # times purchase price

#  Number of game minutes between customers considering
#  whether to visit a retail store.

customer_visit_interval = 60

#  Probability that a prospective customer will consider making
#  a purchase in each customer visit interval.

customer_visit_rate = 0.005

#  Number of game minutes between retailer restocking visits.
#  Retailers will try to maintain their stock levels so that
#  they don't run out in between.

retailer_restocking_interval = 10 * customer_visit_interval

#  Amount by which reputation ratio is biased towards
#  the good side (otherwise a product with a purely bad
#  reputation would be unable to sell). (0.0 - 1.0)

reputation_bias = 0.1

#  Number of prospective customers per customer visit interval
#  converted from potential to prospective or unprospective for
#  each unit of reputation.

customer_conversion_rate = 0.002 # 0.001

#  Number of unprospective customers per customer visit interval
#  converted back to potential customers.

unprospective_customer_decay_rate = customer_visit_rate

##  Coefficient used in calculating the quality a customer expects
##  a product to have from the ratio of its current to recommended
##  selling price.
#
#expected_quality_coefficient = 200 # 12.5

#  Maximum amount selling price can exceed recommended price,
#  as a fraction of the recommended price, before all sales are
#  lost to competitors.

max_overpricing = 0.1

#  Advertising level is calculated to achieve a specified
#  rate of purchases while at least a certain fraction of the
#  total market remains.

advertising_target_purchase_rate = 6 # 12 # per day
advertising_target_market_fraction = 0.25 # times total market

#  Time for reputation to decay to half its initial level.

reputation_half_life = 30 # 15 # days

#  Maximum amount of junk on the factory floor before it is
#  stopped for health and safety reasons.

max_parts_on_factory_floor = 100

#  Factors controlling cost and time to develop a new product.

development_cost_factor = 100 # times recommended selling price
suggested_research_budget = 2000 # dollars per month

#  Fraction of raw material cost recovered when a
#  product or part is sold for scrap.

scrap_value_factor = 0.1

#  Warn of market saturation when number of remaining possible
#  customers falls below this fraction of the total market.

market_saturation_warning_level = 0.1

#  Initial state of product development.

num_products_initially_developed = 2
num_products_initially_under_development = 2

#------------------------------------------------------------------------

reputation_decay_factor = 0.5 ** (1.0 / reputation_half_life)
