################################################################
#
#   Assembly Line - Game speed control
#
################################################################

from albow.controls import Label, Row
from albow.resource import get_font
from controls import TextMultichoice
from settings import speed_names
from game import game

game_speed_font = get_font(12, "Vera.ttf")

class GameSpeedChoice(TextMultichoice):

	font = game_speed_font
	tab_stop = False

	def __init__(self, **kwds):
		TextMultichoice.__init__(self,
			values = range(len(speed_names)),
			labels = speed_names,
			model = game,
			attribute = 'speed',
			**kwds)


class GameSpeedControl(Row):

	bg_color = (255, 255, 255)
	border_color = (0, 0, 0)
	border_width = 1
	#margin = 5

	def __init__(self, **kwds):
		Row.__init__(self, [
			Label("Speed:", font = game_speed_font, margin = 5),
			GameSpeedChoice(),
		], **kwds)
