################################################################
#
#   Assembly Line - Machines
#
################################################################

from pygame.transform import rotozoom
from input_hopper import InputHopper
from conveyor import Conveyor
from conveyor_end import ConveyorEnd
from conveyor_drive import ConveyorDrive
from recycle_bin import RecycleBin
from packing_station import PackingStation
from qc_station import QCStation
from punch import Punch
from assembly_robot import AssemblyRobot
from transverse_saw import TransverseSaw
from storage_hopper import StorageHopper

InputHopper.cost = 500
Conveyor.cost = 100
ConveyorEnd.cost = 150
ConveyorDrive.cost = 200
RecycleBin.cost = 100
PackingStation.cost = 200
QCStation.cost = 1500
Punch.cost = 1500
AssemblyRobot.cost = 3000
TransverseSaw.cost = 500
StorageHopper.cost = 500

initial_machine_types = [
	InputHopper,
	Conveyor,
	ConveyorEnd,
	ConveyorDrive,
	RecycleBin,
	PackingStation,
	QCStation,
	Punch,
	AssemblyRobot,
]

extra_machine_types = [
	TransverseSaw,
	StorageHopper,
]

all_machine_types = initial_machine_types + extra_machine_types

s = 28.0 / 48.0
for m in all_machine_types:
	m.small_icon = rotozoom(m.icon, 0, s)

def find_machine_type(name):
	for mtype in all_machine_types:
		if mtype.__name__ ==  name:
			return mtype
