################################################################
#
#   Assembly Line - Factory report
#
################################################################

from game import game
from four_period_report import FourPeriodReport
from imath import iround
from format import format_dollars

def format_iround_dollars(x):
	return format_dollars(iround(x))

#------------------------------------------------------------------------

class FactoryReport(FourPeriodReport):

	title = "Factory Report"

	row_definitions = [
		('items_produced',       "-Items Produced",        str),
		('items_sold',           "-Items Sold",            str),
		(),
		('product_sale',         "-Product Sales"),
		('material_sale',        "-Material Resale"),
		('income',               "+Income"),
		(),
		('material_purchase',    "-Material Purchase",     format_iround_dollars),
		('freight_cost',         "-Freight Costs"),
		('factory_rental',       "-Factory Rental"),
		('factory_running_cost', "-Factory Running Costs"),
		('expenditure',          "+Expenditure"),
		(),
		('balance_of_earnings',  "+Balance of Earnings"),
	]
	
	def stats_holder(self):
		return game.factory()

	def title_text(self):
		return "%s - %s" % (self.title, game.factory().title)
