################################################################
#
#   Assembly Line - Financial report
#
################################################################

from game import game
from four_period_report import FourPeriodReport

class FinancialReport(FourPeriodReport):

	title = "Company Finances"

	row_definitions = [
		('product_sale',         "-Product Sales"),
		('material_sale',        "-Material Resale"),
		('income',               "+Income"),
		(),
		('material_purchase',    "-Material Purchase"),
		('freight_cost',         "-Freight Costs"),
		('factory_rental',       "-Factory Rental"),
		('factory_running_cost', "-Factory Running Costs"),
		('expenditure',          "+Expenditure"),
		(),
		('balance_of_earnings',  "+Balance of Earnings"),
		(),
		('machinery_purchase',   "-Machinery Purchase"),
		('research_spending',    "-Research Spending"),
		('machinery_sale',       "-Machinery Resale"),
		('outstanding_capital',  "+Net Capital Outlay"),
		(),
		('profit',               "+Profit"),
		(),
		('salary',               "-Salary"),
		('bonus',                "-Bonuses"),
		('net_cash_flow',        "+Net Cash Flow"),
	]
	
	def stats_holder(self):
		return game.company
