################################################################
#
#   Assembly Line - Stats management
#
################################################################

from timing import period_for_date
from game import game

class Stats(object):

	def add_stats(self, other):
		self.add_values(other.__dict__)
	
	def add_values(self, values):
		for name in values:
			setattr(self, name, getattr(self, name) + values[name])


class StatsHolder(object):
	#  stats    list[period] of Stats
	#  total    Stats
	#
	#  stats_class   type

	def __init__(self):
		self.stats = []
		self.total = self.stats_class()

	def stats_for_month(self, date):
		return self.stats_for_period(period_for_date(date))
	
	def stats_for_period(self, period):
		if period < 0:
			return None
		stats_list = self.stats
		while period >= len(stats_list):
			stats_list.append(None)
		stats = stats_list[period]
		if not stats:
			stats = self.stats_class()
			stats_list[period] = stats
		return stats
	
	def stats_for_periods(self, first_period, num_periods):
		tot = self.stats_class()
		for p in xrange(first_period, first_period + num_periods):
			s = self.stats_for_period(p)
			if s:
				tot.add_stats(s)
		return tot

	def stats_for_current_period(self):
		return self.stats_for_period(game.company.current_period())

	def add_stats(self, date = None, **kwds):
		stats = self.stats_for_month(date or game.company.date)
		stats.add_values(kwds)
		self.total.add_values(kwds)
